# Fish configuration file

# Configuration for terminal / unix:
set -x LC_CTYPE en_US.UTF-8
set -x LC_ALL en_US.UTF-8

if test (uname) != "Darwin"
    set -x TERM xterm-256color
end

# Creation mask
umask 022

# Theme configuration (bobthefish):
set -g theme_newline_cursor yes
set -g theme_newline_prompt "\$ "
set -g theme_color_scheme zenburn
set -g VIRTUAL_ENV_DISABLE_PROMPT 1

# Python configuration:
set -x PYTHONIOENCODING UTF-8
set -xg WORKON_HOME $HOME/envs
set -xg MYPYPATH $HOME/.mypy

# Aliases
if test (uname) != "Darwin"
    alias ls='ls --color=auto'
    alias ll='ls -lh'
    alias la='ls -A'
    alias l='ls -CF'
    alias rm='rm -i --preserve-root'
else
    alias rm='rm -i'
end

# Extend path:
set PPATHS /usr/local/bin /usr/local/sbin

for path in $PPATHS
    if test -e $path
        set -xg PATH $path $PATH
    end
end
